Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.injection
Class GrailsAwareClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  groovy.lang.GroovyClassLoader
                      org.codehaus.groovy.grails.compiler.injection.GrailsAwareClassLoader

    public class GrailsAwareClassLoader

extends groovy.lang.GroovyClassLoader

A class loader that is aware of Groovy sources and injection operations

Since:
  0.6

  Created: Jul 27, 2007 Time: 8:57:15 AM
Author:
  Graeme Rocher

Nested Class Summary

Nested classes/interfaces inherited from class groovy.lang.GroovyClassLoader
`groovy.lang.GroovyClassLoader.ClassCollector, groovy.lang.GroovyClassLoader.InnerLoader`

Field Summary

Fields inherited from class groovy.lang.GroovyClassLoader
`classCache, sourceCache`

Constructor Summary
`GrailsAwareClassLoader()`
`GrailsAwareClassLoader(ClassLoader loader)`
`GrailsAwareClassLoader(ClassLoader loader, org.codehaus.groovy.control.CompilerConfiguration config)`
`GrailsAwareClassLoader(ClassLoader parent, org.codehaus.groovy.control.CompilerConfiguration config, boolean useConfigurationClasspath)`
`GrailsAwareClassLoader(groovy.lang.GroovyClassLoader parent)`

Method Summary
`protected org.codehaus.groovy.control.CompilationUnit` | `createCompilationUnit(org.codehaus.groovy.control.CompilerConfiguration config, CodeSource source)`
`void` | `setClassInjectors(ClassInjector[] classInjectors)`

Methods inherited from class groovy.lang.GroovyClassLoader
`addClasspath, addURL, clearCache, createCollector, defineClass, defineClass, defineClass, defineClass, expandClassPath, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getResourceLoader, getTimeStamp, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile`

Methods inherited from class java.net.URLClassLoader
`definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsAwareClassLoader

    public GrailsAwareClassLoader()

### GrailsAwareClassLoader

    public GrailsAwareClassLoader(ClassLoader loader)

### GrailsAwareClassLoader

    public GrailsAwareClassLoader(groovy.lang.GroovyClassLoader parent)

### GrailsAwareClassLoader

    public GrailsAwareClassLoader(ClassLoader parent,
                                  org.codehaus.groovy.control.CompilerConfiguration config,
                                  boolean useConfigurationClasspath)

### GrailsAwareClassLoader

    public GrailsAwareClassLoader(ClassLoader loader,
                                  org.codehaus.groovy.control.CompilerConfiguration config)

Method Detail

### setClassInjectors

    public void setClassInjectors(ClassInjector[] classInjectors)

### createCompilationUnit

    protected org.codehaus.groovy.control.CompilationUnit createCompilationUnit(org.codehaus.groovy.control.CompilerConfiguration config,
                                                                                CodeSource source)

  Overrides:
    `createCompilationUnit` in class `groovy.lang.GroovyClassLoader`
  See Also:
    `GroovyClassLoader.createCompilationUnit(org.codehaus.groovy.control.CompilerConfiguration, java.security.CodeSource)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project